#!/bin/sh

DEVICE="$1"

encryptionprovider.py -i eth0 58081 "$DEVICE" /media/usb0
if [ "$?" != "0" ]
then
	# this will happen if the stick was removed
	exit 0
fi

mkdir /var/run/usbmount/encrypted
/usr/bin/osecfs /etc/osecfs/osecfs_usb.cfg "/var/run/usbmount/encrypted" rw

# now stick is encrypted and mounted. Rerun Script
$0 $DEVICE 